Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.invocation
Class ActionInvocation

    java.lang.Object
      org.jboss.portal.portlet.invocation.PortletInvocation
          org.jboss.portal.portlet.invocation.ActionInvocation

    public class ActionInvocation

extends PortletInvocation

Version:
  $Revision: 5448 $
Author:
  Julien Viet

Field Summary
`protected java.util.Map<java.lang.String,java.lang.String[]>` | `form` .
`protected StateString` | `interactionState` .
`protected RequestContext` | `requestContext` The request context.

Fields inherited from class org.jboss.portal.portlet.invocation.PortletInvocation
`attributes, clientContext, ctx, dreq, dresp, instanceContext, mode, navigationalState, portalContext, publicNavigationalState, requestAttributes, securityContext, serverContext, target, userContext, windowContext, windowState`

Constructor Summary
`ActionInvocation(PortletInvocationContext ctx)`

Method Summary
`java.util.Map<java.lang.String,java.lang.String[]>` | `getForm()`
`StateString` | `getInteractionState()`
`RequestContext` | `getRequestContext()`
`void` | `setForm(java.util.Map<java.lang.String,java.lang.String[]> form)`
`void` | `setInteractionState(StateString interactionState)`
`void` | `setRequestContext(RequestContext requestContext)`

Methods inherited from class org.jboss.portal.portlet.invocation.PortletInvocation
`getAttribute, getClientContext, getContext, getDispatchedRequest, getDispatchedResponse, getInstanceContext, getMode, getNavigationalState, getPortalContext, getPublicNavigationalState, getRequestAttributes, getSecurityContext, getServerContext, getTarget, getUserContext, getWindowContext, getWindowState, removeAttribute, setAttribute, setClientContext, setDispatchedRequest, setDispatchedResponse, setInstanceContext, setMode, setNavigationalState, setPortalContext, setPublicNavigationalState, setRequestAttributes, setSecurityContext, setServerContext, setTarget, setUserContext, setWindowContext, setWindowState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### requestContext

    protected RequestContext requestContext

  The request context.

### interactionState

    protected StateString interactionState

  .

### form

    protected java.util.Map<java.lang.String,java.lang.String[]> form

  .

Constructor Detail

### ActionInvocation

    public ActionInvocation(PortletInvocationContext ctx)
                     throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

Method Detail

### getInteractionState

    public StateString getInteractionState()

### setInteractionState

    public void setInteractionState(StateString interactionState)

### getForm

    public java.util.Map<java.lang.String,java.lang.String[]> getForm()

### setForm

    public void setForm(java.util.Map<java.lang.String,java.lang.String[]> form)

### getRequestContext

    public RequestContext getRequestContext()

### setRequestContext

    public void setRequestContext(RequestContext requestContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.